Termes du glossaire déjà utilisés
L’API renvoie 409 Conflict avec ce problème. Son type est https://lingo.dev/docs/api/errors/glossary-terms-taken. Consultez Erreurs et codes de statut pour connaître la structure commune à toutes les erreurs.
Impossible d’enregistrer "<texts>". Ce glossaire contient déjà un terme avec le même texte et la même langue. Modifiez ce terme ou changez le texte.
Champs#
Outre les membres standard type, status, title et detail, le corps contient les champs suivants. Le texte de detail est généré à partir de ces champs, ce qui permet à un client d’afficher son propre texte à la place.
| Champ | Type |
|---|---|
texts | string[] |
Exemple#
json
{
"detail": "Cannot save \"<texts>\". This glossary already holds a term with that text and locale. Edit that term instead, or change the text.",
"texts": [
"<texts>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-terms-taken",
"status": 409,
"title": "Glossary terms taken"
}Renvoyée par#
PATCH /v2/glossaries/{glossaryId}/terms/{id}POST /v2/glossaries/{glossaryId}/termsPOST /v2/glossaries/{glossaryId}/terms/create-many